Listar tarefas
curl --request GET \
--url https://api.juridiq.com.br/task/ \
--header 'x-juridiq-api-key: <api-key>'import requests
url = "https://api.juridiq.com.br/task/"
headers = {"x-juridiq-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-juridiq-api-key': '<api-key>'}};
fetch('https://api.juridiq.com.br/task/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"title": "<string>",
"priority": "<string>",
"status": "<string>",
"hasSheet": true,
"initialDate": "<string>",
"finalDate": "<string>",
"isArchived": true,
"isPrivate": true,
"ownerId": "<string>",
"points": 123
}
],
"totalResults": 123,
"totalPages": 123
}{
"message": "<string>",
"statusCode": 123,
"translateMessage": "<string>"
}Tasks
Listar tarefas
GET
/
task
/
Listar tarefas
Authorizations
Chave de API do escritório (criada no painel). Envie o valor no header x-juridiq-api-key.
Query Parameters
Página. Começa em 1
Itens por página
Filtra por título
Filtra por responsável
Filtra por prioridade
Filtra por processo
true para tarefas da home
asc ou desc
Available options:
asc, desc Campo de ordenação
true para responsável único
true ou false
true ou false
Data inicial do filtro
Data final do filtro
Filtra por tag
Método de filtro por data
Available options:
all, initialDate, finalDate, completedAt, subtaskFinalDate Filtra por pessoa
Filtra por pontos
ID da tarefa pai
ID da coluna
ID da pasta do kanban
ID do quadro kanban
IDs das colunas kanban

